Bug 168005 - system hangs after USB NIC disconnection
system hangs after USB NIC disconnection
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-10 11:25 EDT by Radek Bíba
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.18-1.2849
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-13 03:02:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radek Bíba 2005-09-10 11:25:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; cs-CZ; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
When using USB network controller with rtl8150 chipset (maybe it's not dependent
on this one) it's not a good idea to disconnect it - system will hang. Some
error messages are written to console but they are very long and scroll away so
it's impossible to catch them (even hitting Scroll Lock didn't help, it's too
fast). Last a few lines that fit to the monitor size stay, they contain only
some traceback - I can eventually copy them and write here or take a screenshot
with a camera (copying using mouse doesn't work since the system is hung).

Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1447_FC4

How reproducible:
Always

Steps to Reproduce:
1. Use a USB NIC with rtl8150 chipset (but maybe it's a USB NIC problem generally)
2. Disconnect it from the USB port while system is running
  

Actual Results:  System hangs completely.

Expected Results:  Kernel should survive it.

Additional info:

If I run `rmmod rtl8150' before I disconnect it system won't hang. But not all
users may have such idea.

One more note: crash reproduced also with FC3, with previous kernel, with both USB
OHCI and UHCI controllers.
Comment 1 Dave Jones 2005-09-30 02:02:09 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 2 Radek Bíba 2005-10-08 05:52:29 EDT
I'm sorry, system hangs after USB NIC removal even with 2.6.13. But I got some
messages to /var/log/messages that might help you:

Oct  8 11:43:55 localhost kernel: drivers/usb/net/rtl8150.c: may be reset is nee
ded?..
Oct  8 11:43:55 localhost last message repeated 72 times
Oct  8 11:43:55 localhost kernel: drivers/usb/net/rtl8150.c: eth1: intr status -
110
Oct  8 11:43:55 localhost kernel: drivers/usb/net/rtl8150.c: may be reset is nee
ded?..
Oct  8 11:43:55 localhost last message repeated 63 times
Oct  8 11:43:55 localhost kernel: usb 1-1: USB disconnect, address 2
Oct  8 11:43:55 localhost kernel: drivers/usb/net/rtl8150.c: Rx status -108
Oct  8 11:43:55 localhost dhclient: receive_packet failed on eth1: Network is do
wn
Comment 3 Dave Jones 2005-11-10 13:58:45 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 4 Radek Bíba 2005-11-11 16:23:00 EST
Just retested with that kernel and system froze again so the bug is still there.
Comment 5 Dave Jones 2006-02-03 01:24:22 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 6 Radek Bíba 2006-02-04 05:01:18 EST
System still hangs even with kernel 2.6.15-1.1830_FC4. This time, however, behaves
this way: prints the error messages to console, then counts down 120 seconds and
finally ends with kernel panic.
Comment 7 Radek Bíba 2006-07-15 09:43:34 EDT
kernel-2.6.17-1.2157_FC5 still panics.
Comment 8 Radek Bíba 2006-08-10 17:31:48 EDT
Any news on this issue? The log message seems to be trying to help:

kernel: drivers/usb/net/rtl8150.c: may be reset is needed?..

And as already mentioned, no crash happens after unloading the driver before
the disconnetion.
Comment 9 Dave Jones 2006-10-16 16:03:01 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 10 Radek Bíba 2006-10-20 12:03:17 EDT
No luck with 2.6.18.
Comment 11 Radek Bíba 2006-12-13 03:02:21 EST
No more hangs in FC6 with its current kernel, yay!

Note You need to log in before you can comment on or make changes to this bug.